<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class UserToolSetup extends Model
{
    protected $table = 'users_tools_setup';
    use SoftDeletes;


    public function tool()
    {
        return $this->hasOne(Tool::class, 'id', 'tool_id');
    }

    public function toolAdditionalOption()
    {
        return $this->hasOne(ToolAdditionalOption::class, 'id', 'tool_option_id');
    }
}
